Search documentation of wx

# View Source wxPaletteChangedEvent (wx v2.4.3)

Functions for wxPaletteChangedEvent class

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxPaletteChangedEvent

# Summary

## Types

wxPaletteChanged()
wxPaletteChangedEvent()
wxPaletteChangedEventType()

## Functions

getChangedWindow(This)
setChangedWindow(This, Win)

# Types

Link to this type

# wxPaletteChanged()

View Source

    -type wxPaletteChanged() :: #wxPaletteChanged{type :: wxPaletteChangedEvent:wxPaletteChangedEventType()}.

Link to this type

# wxPaletteChangedEvent()

View Source

    -type wxPaletteChangedEvent() :: wx:wx_object().

Link to this type

# wxPaletteChangedEventType()

View Source

    -type wxPaletteChangedEventType() :: palette_changed.

# Functions

Link to this function

# getChangedWindow(This)

View Source

    -spec getChangedWindow(This) -> wxWindow:wxWindow() when This :: wxPaletteChangedEvent().

Link to this function

# setChangedWindow(This, Win)

View Source

    -spec setChangedWindow(This, Win) -> ok when This :: wxPaletteChangedEvent(), Win :: wxWindow:wxWindow().